<?php
// Клавиатура выбора типа аккаунта

namespace BotKit\Keyboards;

use BotKit\KeyboardButtons\CallbackButton;
use BotKit\Enums\KeyboardButtonColor;
use BotKit\Enums\CallbackType;

class SelectUserTypeKeyboard extends Keyboard {

	public function __construct() {
		
		$this->layout =
		[
			[
				new CallbackButton(
					"Я студент",
					CallbackType::SelectedAccountType,
					KeyboardButtonColor::Primary,
					["account"=> "student"]
				),
				new CallbackButton(
					"Я преподаватель",
					CallbackType::SelectedAccountType,
					KeyboardButtonColor::Primary,
					["account"=> "teacher"]
				)
			]
		];
	}

	public static bool $cacheable = true;
}